For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
GuidesAPI Reference
GuidesAPI Reference
  • Network API
      • GETList refunds
      • POSTCreate refund
      • GETRetrieve refund
      • POSTCapture refund
      • POSTVoid refund
      • POSTVoid refund by idempotency key
      • Refund
      • POSTEvent: refund.status.updated
  • Customer Request API
  • Management API
LogoLogo
Network APIRefunds

Void refund by idempotency key

POST
/refunds/void-by-idempotency-key
POST
/network/v1/refunds/void-by-idempotency-key
$curl -X POST https://api.cash.app/network/v1/refunds/void-by-idempotency-key \
> -H "Accept: Accept" \
> -H "X-Region: X-Region" \
> -H "X-Signature: X-Signature" \
> -H "User-Agent: User-Agent" \
> -H "Content-Type: application/json" \
> -d '{
> "idempotency_key": "e345c3fb-1caa-46fd-b0d3-aa6c7b00ab19"
>}'
1{
2 "refund": {
3 "id": "PWCR_da1v3j4p3z15y47adpzzq0whj",
4 "amount": 2500,
5 "currency": "USD",
6 "customer_id": "AUTH_24g7nq7m1je9b6fnzbtvwzqej",
7 "merchant_id": "MMI_4vxs5egfk7hmta3qx2h6rp91x",
8 "status": "VOIDED",
9 "created_at": "2022-01-01T12:00:00Z",
10 "updated_at": "2022-01-05T12:00:00Z",
11 "grant_id": "GRG_221243dc6985a6819ff6950c1a21332f7bc4a46ebd49b5a7002908ab768e8e5ff7831e084d0d2c9d8d939793b55eff50",
12 "payment_id": "PWC_4nn21zy6t0v2yhqg5bvhk7xkq",
13 "reference_id": "external-id"
14 }
15}
Moves an authorized refund to the voided state using the idempotency key specified while creating the refund. <Note> You can only void an authorized refund. If a refund is captured, there is no way to reverse it. </Note> In rare cases, an issue with an integration, network connectivity, or the Cash App Pay API may cause an API client to end up in a state where a refund is created in Cash App Pay, but the API client doesn't know the ID of the refund. This endpoint allows an API client to void a refund using _only_ the idempotency key to recover from these situations. If you don't have the idempotency key or ID of the refund you want to void, you can use the [list refunds](Network-API.v1.yaml/paths/~1refunds/get) endpoint to try to search for the refund you're looking for. **This endpoint is not rate limited.** Scopes: `REFUNDS_WRITE`
Was this page helpful?
Previous

Refund

Next
Built with

Moves an authorized refund to the voided state using the idempotency key specified while creating the refund.

You can only void an authorized refund. If a refund is captured, there is no way to reverse it.

In rare cases, an issue with an integration, network connectivity, or the Cash App Pay API may cause an API client to end up in a state where a refund is created in Cash App Pay, but the API client doesn’t know the ID of the refund. This endpoint allows an API client to void a refund using only the idempotency key to recover from these situations.

If you don’t have the idempotency key or ID of the refund you want to void, you can use the list refunds endpoint to try to search for the refund you’re looking for.

This endpoint is not rate limited.

Scopes: REFUNDS_WRITE

Headers

AcceptstringRequired
X-RegionstringRequired
X-SignaturestringRequired
User-AgentstringRequired

Request

This endpoint expects an object.
idempotency_keystringRequired1-64 characters

A unique identifier which can be used by Cash App to de-duplicate retries of this request, making it idempotent. For more information, see Idempotency.

Response

OK
refundobject

Errors

400
Bad Request Error